Adicionar etiqueta ao plano de ação
Adiciona uma ou mais etiquetas a um plano de ação. Os ids vêm de GET /api/v2/checklist/action-plan/config/tag/list, e o resultado aparece em tags na listagem de planos de ação.
POST
/
api
/
v2
/
checklist
/
action-plan
/
tag
/
add
cURL
curl --request POST \
--url https://api.sults.com.br/api/v2/checklist/action-plan/tag/add \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"actionPlanId": 119,
"tagId": [
7,
9
]
}'import requests
url = "https://api.sults.com.br/api/v2/checklist/action-plan/tag/add"
payload = {
"actionPlanId": 119,
"tagId": [
7,
9
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json",
}
resposta = requests.post(url, json=payload, headers=headers)
print(resposta.status_code)
print(resposta.text)const resposta = await fetch("https://api.sults.com.br/api/v2/checklist/action-plan/tag/add", {
method: "POST",
headers: {
Authorization: "<api-key>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"actionPlanId": 119,
"tagId": [
7,
9
]
}),
});
console.log(resposta.status, await resposta.text());<?php
$corpo = <<<'JSON'
{
"actionPlanId": 119,
"tagId": [
7,
9
]
}
JSON;
$ch = curl_init("https://api.sults.com.br/api/v2/checklist/action-plan/tag/add");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: <api-key>",
"Content-Type: application/json",
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, $corpo);
$resposta = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
echo $status . PHP_EOL . $resposta . PHP_EOL;using System.Net.Http;
using System.Text;
var http = new HttpClient();
http.DefaultRequestHeaders.Add("Authorization", "<api-key>");
var corpo = """
{
"actionPlanId": 119,
"tagId": [
7,
9
]
}
""";
var resposta = await http.PostAsync(
"https://api.sults.com.br/api/v2/checklist/action-plan/tag/add",
new StringContent(corpo, Encoding.UTF8, "application/json"));
Console.WriteLine((int)resposta.StatusCode);
Console.WriteLine(await resposta.Content.ReadAsStringAsync());{
"actionPlanId": 119,
"tagId": [
7,
9
]
}{
"error": "The 'tagId' list cannot be empty.",
"dateTime": "2026-11-03T14:20:00Z"
}{
"error": "Acesso não autorizado."
}{
"error": "Unauthorized",
"dateTime": "2026-11-03T14:20:00Z"
}{
"error": "'assessmentId' is required.",
"dateTime": "2026-11-03T14:20:00Z"
}<string>{
"error": "Internal Server Error",
"dateTime": "2026-11-03T14:20:00Z"
}Authorizations
Token gerado na Gestão de Tokens v2 do SULTS. Deve ser enviado no cabeçalho Authorization de todas as requisições.
Body
application/json
Was this page helpful?
⌘I
cURL
curl --request POST \
--url https://api.sults.com.br/api/v2/checklist/action-plan/tag/add \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"actionPlanId": 119,
"tagId": [
7,
9
]
}'import requests
url = "https://api.sults.com.br/api/v2/checklist/action-plan/tag/add"
payload = {
"actionPlanId": 119,
"tagId": [
7,
9
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json",
}
resposta = requests.post(url, json=payload, headers=headers)
print(resposta.status_code)
print(resposta.text)const resposta = await fetch("https://api.sults.com.br/api/v2/checklist/action-plan/tag/add", {
method: "POST",
headers: {
Authorization: "<api-key>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"actionPlanId": 119,
"tagId": [
7,
9
]
}),
});
console.log(resposta.status, await resposta.text());<?php
$corpo = <<<'JSON'
{
"actionPlanId": 119,
"tagId": [
7,
9
]
}
JSON;
$ch = curl_init("https://api.sults.com.br/api/v2/checklist/action-plan/tag/add");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: <api-key>",
"Content-Type: application/json",
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, $corpo);
$resposta = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
echo $status . PHP_EOL . $resposta . PHP_EOL;using System.Net.Http;
using System.Text;
var http = new HttpClient();
http.DefaultRequestHeaders.Add("Authorization", "<api-key>");
var corpo = """
{
"actionPlanId": 119,
"tagId": [
7,
9
]
}
""";
var resposta = await http.PostAsync(
"https://api.sults.com.br/api/v2/checklist/action-plan/tag/add",
new StringContent(corpo, Encoding.UTF8, "application/json"));
Console.WriteLine((int)resposta.StatusCode);
Console.WriteLine(await resposta.Content.ReadAsStringAsync());{
"actionPlanId": 119,
"tagId": [
7,
9
]
}{
"error": "The 'tagId' list cannot be empty.",
"dateTime": "2026-11-03T14:20:00Z"
}{
"error": "Acesso não autorizado."
}{
"error": "Unauthorized",
"dateTime": "2026-11-03T14:20:00Z"
}{
"error": "'assessmentId' is required.",
"dateTime": "2026-11-03T14:20:00Z"
}<string>{
"error": "Internal Server Error",
"dateTime": "2026-11-03T14:20:00Z"
}